Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://developer.creao.ai/v1/agents/{agent_id}/files \ --header 'Authorization: Bearer <token>'
const url = 'https://developer.creao.ai/v1/agents/{agent_id}/files';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};fetch(url, options) .then(res => res.json()) .then(json => console.log(json)) .catch(err => console.error(err));
import requestsurl = "https://developer.creao.ai/v1/agents/{agent_id}/files"headers = {"Authorization": "Bearer <token>"}response = requests.get(url, headers=headers)print(response.text)
200
Example
{ "files": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "mime_type": "<string>", "size_bytes": 123, "sha256": "<string>", "created_at": "2023-11-07T05:31:56Z" } ] }
List files in a personal CREAO agent’s file space.
Account API key from Developer Console. Keys start with cr_sk_.
cr_sk_
Agent files.
Show child attributes